Skip to main content
POST
/
payment
/
open
/
institution
/
v1
/
pay
/
gift
/
create
创建礼品卡
curl --request POST \
  --url https://openplatform.gateapi.io/payment/open/institution/v1/pay/gift/create \
  --header 'Content-Type: application/json' \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
  --data '
{
  "title": "创建礼品卡示例",
  "templateId": "255267012439183360",
  "currency": "USDT",
  "amount": "0.99"
}
'
{
  "status": "SUCCESS",
  "code": "000000",
  "errorMessage": "",
  "data": {
    "card_num": "2002356433468640",
    "card_key": "yJgkiqAVCwS0tC8W5D+t9iFqwtxp9CUSHGBFYDDJ608=",
    "amount": "0.99",
    "currency": "USDT",
    "status": 1,
    "card_temp_id": "255267012439183360",
    "creator": 10002,
    "creator_name": "GateUser-8118f6f8",
    "exchange_uid": 0,
    "owner": 10002,
    "give_count": 0,
    "last_give_time": 0,
    "create_time": 1737942105582
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.gate.com/llms.txt

Use this file to discover all available pages before exploring further.

概述

本页说明 POST /payment/open/institution/v1/pay/gift/create 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。

说明

  • 认证方式使用 GatePay 标准签名请求头。
  • 本页展示同一接口的机构路径版本。
  • 除创建子账户、查询子账户详情、分页查询子账户外,机构侧请求需携带 X-GatePay-On-Behalf-Of
  • 通用签名规则请参见 /api-reference/version/100/cn/common/securityAndSignature

Headers

X-GatePay-Certificate-ClientId
string
required

商户客户端ID

Example:

"mZ96D37oKk-HrWJc"

X-GatePay-Signature
string
required

签名

Example:

"b8c4705ff4c1357f2a27925dd180c1e1f4a244148f312a2dee5afbcc6f4b150e9ffceee455c5a298f895d43a64ee829eebdfd262539d45c41f7aee4336fd8c8c"

X-GatePay-Timestamp
string
required

时间戳(毫秒)

Example:

"1738934053475"

X-GatePay-Nonce
string
required

随机数

Example:

"5417061546"

X-GatePay-On-Behalf-Of
string
required

必填代理归属请求头。请填写本次请求的发起方账户 ID;在机构代理商户 API 中通常填写目标子账户 ID,在机构代扣与划转接口中可填写机构账户 ID 或子账户 ID。

Body

application/json

创建礼品卡请求参数

title
string
required

礼品卡的标题

Example:

"创建礼品卡示例"

templateId
string
required

礼品卡封面的ID

Example:

"255267012439183360"

currency
string
required

礼品卡的币种

Example:

"USDT"

amount
string
required

礼品卡的金额

Example:

"0.99"

Response

200 - application/json

创建成功

status
string

响应状态

Example:

"SUCCESS"

code
string

响应码,000000表示成功

Example:

"000000"

errorMessage
string

错误信息,成功时为空

Example:

""

data
object